Index: src/Thermostats/Berendsen.cpp
===================================================================
--- src/Thermostats/Berendsen.cpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/Berendsen.cpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -16,4 +16,8 @@
 Berendsen::Berendsen(double _TempFrequency) :
   TempFrequency(_TempFrequency)
+{}
+
+Berendsen::Berendsen() :
+  TempFrequency(2.5)
 {}
 
Index: src/Thermostats/Berendsen.hpp
===================================================================
--- src/Thermostats/Berendsen.hpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/Berendsen.hpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -15,4 +15,5 @@
 public:
   Berendsen(double);
+  Berendsen();
   virtual ~Berendsen();
 
Index: src/Thermostats/GaussianThermostat.cpp
===================================================================
--- src/Thermostats/GaussianThermostat.cpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/GaussianThermostat.cpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -20,4 +20,9 @@
   E(0),G(0),
   ScaleTempStep(_ScaleTempStep)
+{}
+
+GaussianThermostat::GaussianThermostat() :
+  E(0),G(0),
+  ScaleTempStep(25)
 {}
 
Index: src/Thermostats/GaussianThermostat.hpp
===================================================================
--- src/Thermostats/GaussianThermostat.hpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/GaussianThermostat.hpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -17,4 +17,5 @@
 public:
   GaussianThermostat(int ScaleTempStep);
+  GaussianThermostat();
   virtual ~GaussianThermostat();
 
Index: src/Thermostats/Langevin.cpp
===================================================================
--- src/Thermostats/Langevin.cpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/Langevin.cpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -21,4 +21,9 @@
   r = gsl_rng_alloc (T);
 }
+
+Langevin::Langevin() :
+  TempFrequency(2.5),
+  alpha(0.)
+{}
 
 Langevin::~Langevin()
Index: src/Thermostats/Langevin.hpp
===================================================================
--- src/Thermostats/Langevin.hpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/Langevin.hpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -15,4 +15,5 @@
 public:
   Langevin(double,double);
+  Langevin();
   virtual ~Langevin();
 
Index: src/Thermostats/NoseHoover.cpp
===================================================================
--- src/Thermostats/NoseHoover.cpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/NoseHoover.cpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -18,4 +18,8 @@
   HooverMass(_HooverMass),
   alpha(0)
+{}
+
+NoseHoover::NoseHoover() :
+  HooverMass(0.)
 {}
 
Index: src/Thermostats/NoseHoover.hpp
===================================================================
--- src/Thermostats/NoseHoover.hpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/NoseHoover.hpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -15,4 +15,5 @@
 public:
   NoseHoover(double _HooverMass);
+  NoseHoover();
   virtual ~NoseHoover();
 
Index: src/Thermostats/Woodcock.cpp
===================================================================
--- src/Thermostats/Woodcock.cpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/Woodcock.cpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -18,4 +18,8 @@
 Woodcock::Woodcock(int _ScaleTempStep) :
   ScaleTempStep(_ScaleTempStep)
+{}
+
+Woodcock::Woodcock() :
+  ScaleTempStep(25)
 {}
 
Index: src/Thermostats/Woodcock.hpp
===================================================================
--- src/Thermostats/Woodcock.hpp	(revision c0c650847435dcb508e3ddcaccc0d96a196e2fbd)
+++ src/Thermostats/Woodcock.hpp	(revision 8d1dd4fcc7d507ccaf7345578b875e0a40064ac1)
@@ -15,4 +15,5 @@
 public:
   Woodcock(int);
+  Woodcock();
   virtual ~Woodcock();
 
